#include "jserver.h"

xmlnode svc_basic_config = NULL;
extern void svc_basic_onNode(thread t, xmlnode in, int type);

void init(xmlnode x)
{
    xmlnode next;

    debug("svc_basic: init()");

    if(svc_basic_config == NULL)
    {
        /* first time, do init stuff */
        conn_namespace(CMD_SET,"jabber:client",(xmlstream_onNode)svc_basic_onNode);

        next = xmlnode_get_firstchild(x);
        while(next != NULL)
        {
            /* XXX look at our config here */
            next = xmlnode_get_nextsibling(next);
        }
    }else if(xmlnode_cmp(svc_basic_config, x))
    {
        /* XXX toughie, they reconfigured us, go through the config, figure out what changed, and fix it internally if possible */
    }

    xmlnode_free(svc_basic_config);
    svc_basic_config = xmlnode_dup(x);
}

